Bug 670652 - Yum repos not working after subscribing to entitlement beta subpool
Summary: Yum repos not working after subscribing to entitlement beta subpool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-18 22:02 UTC by J.C. Molet
Modified: 2013-01-10 10:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
rhsm repo bug (30.81 KB, text/plain)
2011-01-18 22:02 UTC, J.C. Molet
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description J.C. Molet 2011-01-18 22:02:03 UTC
Created attachment 474157 [details]
rhsm repo bug

Description of problem:
After subscribing to the entitlement beta subpool, yum is not pulling down any repo information.

Version-Release number of selected component (if applicable):
subscription-manager-gnome-0.93.13-1.el6.x86_64
subscription-manager-0.93.13-1.el6.x86_64
subscription-manager-firstboot-0.93.13-1.el6.x86_64


Steps to Reproduce:
1. Install latest rhel entitlement beta compose
2. register with rhsm
3. subscribe to a pool
  
Actual results:
Yum repos are not working

Expected results:
Yum repos are populated when subscribed to

Additional info:
see attached log.

This is off of the candlepin host: subscriptions.rhn.webqa.redhat.com  (default for the entitlement beta)

Comment 1 James Bowes 2011-01-19 13:52:50 UTC
In your cert, all of the repos are marked as being disabled by default:
1.3.6.1.4.1.2312.9.2.19.1.8: 
                ..0

if you yum repolist all do you see any repos?

Let's see if dgregor is able to flip those values over.

Comment 4 J.C. Molet 2011-01-19 14:35:41 UTC
[root@jmolet-vm3 ~]# yum repolist all
Loaded plugins: product-id, refresh-packagekit, rhnplugin, subscription-manager
Updating Red Hat repositories.
INFO:rhsm-app.repolib:repos updated: 0
This system is not registered with RHN.
RHN support will be disabled.
repo id                                                         repo name                                                                                                  status
rhel-entitlement-beta-debuginfo                                 Red Hat Enterprise Linux Entitlement Beta (Debug RPMs)                                                     disabled
rhel-entitlement-beta-src                                       Red Hat Enterprise Linux Entitlement Beta (Source RPMs)                                                    disabled
rhel-entitlement-optional-beta                                  Red Hat Enterprise Linux Entitlement - Optional Beta (RPMs)                                                disabled
rhel-entitlement-optional-beta-debuginfo                        Red Hat Enterprise Linux Entitlement - Optional Beta (Debug RPMs)                                          disabled
rhel-entitlement-optional-beta-src                              Red Hat Enterprise Linux Entitlement - Optional Beta (Source RPMs)                                         disabled
rhel-entitlement-supplementary-beta                             Red Hat Enterprise Linux Entitlement - Supplementary Beta (RPMs)                                           disabled
rhel-entitlement-supplementary-beta-debuginfo                   Red Hat Enterprise Linux Entitlement - Supplementary Beta (Debug RPMs)                                     disabled
rhel-entitlement-supplementary-beta-src                         Red Hat Enterprise Linux Entitlement - Supplementary Beta (Source RPMs)                                    disabled
rhel-ha-for-rhel-entitlement-beta                               Red Hat Enterprise Linux High Availability (for RHEL Entitlement) Beta (RPMs)                              disabled
rhel-ha-for-rhel-entitlement-beta-src                           Red Hat Enterprise Linux High Availability (for RHEL Entitlement) Beta (Source RPMs)                       disabled
rhel-lb-for-rhel-entitlement-beta                               Red Hat Enterprise Linux Load Balancer (for RHEL Entitlement) Beta (RPMs)                                  disabled
rhel-lb-for-rhel-entitlement-beta-src                           Red Hat Enterprise Linux Load Balancer (for RHEL Entitlement) Beta (Source RPMs)                           disabled
rhel-rs-for-rhel-entitlement-beta                               Red Hat Enterprise Linux Resilient Storage (for RHEL Entitlement) Beta (RPMs)                              disabled
rhel-rs-for-rhel-entitlement-beta-src                           Red Hat Enterprise Linux Resilient Storage (for RHEL Entitlement) Beta (Source RPMs)                       disabled
rhel-sfs-for-rhel-entitlement-beta                              Red Hat Enterprise Linux Scalable File System (for RHEL Entitlement) Beta (RPMs)                           disabled
rhel-sfs-for-rhel-entitlement-beta-src                          Red Hat Enterprise Linux Scalable File System (for RHEL Entitlement) Beta (Source RPMs)                    disabled
repolist: 0

Comment 5 John Sefler 2011-01-19 18:14:54 UTC
After an enablement flip from dgregor, we now have access to one of the repos.
However there is no content to yum install and there is a 404 error...
http://mockamai.devlab.phx1.redhat.com//content/beta/rhel is missing the path to entitlement/6Server/x86_64/os/repodata/repomd.xml

[root@jmolet-vm3 ~]# yum repolist 
Loaded plugins: product-id, refresh-packagekit, rhnplugin, subscription-manager
Updating Red Hat repositories.
INFO:rhsm-app.repolib:repos updated: 0
This system is not registered with RHN.
RHN support will be disabled.
https://mockamai.devlab.phx1.redhat.com/content/beta/rhel/entitlement/6Server/x86_64/os/repodata/repomd.xml: [Errno 14] HTTP Error 404 : http://mockamai.devlab.phx1.redhat.com//content/beta/rhel/entitlement/6Server/x86_64/os/repodata/repomd.xml 
Trying other mirror.
repo id                                                   repo name                                                                             status
rhel-entitlement-beta                                     Red Hat Enterprise Linux Entitlement Beta (RPMs)                                      0
repolist: 0
[root@jmolet-vm3 ~]#

Comment 6 Dennis Gregorovic 2011-01-19 19:05:04 UTC
https://mockamai.devlab.phx1.redhat.com/content/beta/rhel/entitlement/6Server/x86_64/os/repodata/repomd.xml should be working now.  Sorry for the troubles.

Comment 8 John Sefler 2011-01-21 17:01:08 UTC
[root@jsefler-betaqa-1 ~]# subscription-manager register --username=jsefler-qabetauser-4 --password=redhat
179c144b-631d-4de1-b5d8-244f23e4a9af jsefler-betaqa-1.usersys.redhat.com


[root@jsefler-betaqa-1 ~]# subscription-manager list --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RH3036913                
ProductId:         	RH3036913                
PoolId:            	8a9b90882da0e33a012da572852f0140
Quantity:          	10                       
Expires:           	2011-07-19               

[root@jsefler-betaqa-1 ~]# subscription-manager subscribe --pool=8a9b90882da0e33a012da572852f0140


[root@jsefler-betaqa-1 ~]# yum repolist all | grep enabled
INFO:rhsm-app.repolib:repos updated: 0
This system is not registered with RHN.
RHN support will be disabled.
rhel-entitlement-beta                         Red Hat Enterprise  enabled: 3,400
rhel-ha-for-rhel-entitlement-beta             Red Hat Enterprise  enabled:    28
rhel-lb-for-rhel-entitlement-beta             Red Hat Enterprise  enabled:     2
rhel-rs-for-rhel-entitlement-beta             Red Hat Enterprise  enabled:    22
rhel-sfs-for-rhel-entitlement-beta            Red Hat Enterprise  enabled:     3


^^^ VERIFIED - Thank you!

Comment 9 errata-xmlrpc 2011-05-19 13:38:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.